Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 158733 Details for
Bug 247376
Please rebuild osgal/osgcal for new OpenThreads (rawhide)
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
[patch]
configure patch / hack to get openalpp to compile with new openthreads
openalpp-no-OpenThreads-check.patch (text/plain), 6.98 KB, created by
Hans de Goede
on 2007-07-08 14:13:24 UTC
(
hide
)
Description:
configure patch / hack to get openalpp to compile with new openthreads
Filename:
MIME Type:
Creator:
Hans de Goede
Created:
2007-07-08 14:13:24 UTC
Size:
6.98 KB
patch
obsolete
>diff -up openalpp-cvs-20060714/configure.in~ openalpp-cvs-20060714/configure.in >--- openalpp-cvs-20060714/configure.in~ 2007-07-08 15:59:28.000000000 +0200 >+++ openalpp-cvs-20060714/configure.in 2007-07-08 15:59:28.000000000 +0200 >@@ -104,8 +104,6 @@ if test $OPENAL_VERSION = 2005 ; then > [OPENAL_VERSION=2006]) > fi > >-PKG_CHECK_MODULES(OPENTHREADS, openthreads >= 0.9.8, , [AC_MSG_ERROR(openthreads is a mandatory library)]) >- > AC_DEFINE_UNQUOTED(OPENAL_VERSION, [$OPENAL_VERSION], [OpenAL CVS version (rough estimate)]) > > # PortAudio >diff -up openalpp-cvs-20060714/configure~ openalpp-cvs-20060714/configure >--- openalpp-cvs-20060714/configure~ 2007-07-08 15:59:25.000000000 +0200 >+++ openalpp-cvs-20060714/configure 2007-07-08 15:59:25.000000000 +0200 >@@ -20468,199 +20468,6 @@ fi > > > >-if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then >- if test -n "$ac_tool_prefix"; then >- # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args. >-set dummy ${ac_tool_prefix}pkg-config; ac_word=$2 >-{ echo "$as_me:$LINENO: checking for $ac_word" >&5 >-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; } >-if test "${ac_cv_path_PKG_CONFIG+set}" = set; then >- echo $ECHO_N "(cached) $ECHO_C" >&6 >-else >- case $PKG_CONFIG in >- [\\/]* | ?:[\\/]*) >- ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path. >- ;; >- *) >- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR >-for as_dir in $PATH >-do >- IFS=$as_save_IFS >- test -z "$as_dir" && as_dir=. >- for ac_exec_ext in '' $ac_executable_extensions; do >- if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then >- ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext" >- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 >- break 2 >- fi >-done >-done >-IFS=$as_save_IFS >- >- ;; >-esac >-fi >-PKG_CONFIG=$ac_cv_path_PKG_CONFIG >-if test -n "$PKG_CONFIG"; then >- { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5 >-echo "${ECHO_T}$PKG_CONFIG" >&6; } >-else >- { echo "$as_me:$LINENO: result: no" >&5 >-echo "${ECHO_T}no" >&6; } >-fi >- >- >-fi >-if test -z "$ac_cv_path_PKG_CONFIG"; then >- ac_pt_PKG_CONFIG=$PKG_CONFIG >- # Extract the first word of "pkg-config", so it can be a program name with args. >-set dummy pkg-config; ac_word=$2 >-{ echo "$as_me:$LINENO: checking for $ac_word" >&5 >-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; } >-if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then >- echo $ECHO_N "(cached) $ECHO_C" >&6 >-else >- case $ac_pt_PKG_CONFIG in >- [\\/]* | ?:[\\/]*) >- ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path. >- ;; >- *) >- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR >-for as_dir in $PATH >-do >- IFS=$as_save_IFS >- test -z "$as_dir" && as_dir=. >- for ac_exec_ext in '' $ac_executable_extensions; do >- if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then >- ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext" >- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 >- break 2 >- fi >-done >-done >-IFS=$as_save_IFS >- >- ;; >-esac >-fi >-ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG >-if test -n "$ac_pt_PKG_CONFIG"; then >- { echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5 >-echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6; } >-else >- { echo "$as_me:$LINENO: result: no" >&5 >-echo "${ECHO_T}no" >&6; } >-fi >- >- if test "x$ac_pt_PKG_CONFIG" = x; then >- PKG_CONFIG="" >- else >- case $cross_compiling:$ac_tool_warned in >-yes:) >-{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools >-whose name does not start with the host triplet. If you think this >-configuration is useful to you, please write to autoconf@gnu.org." >&5 >-echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools >-whose name does not start with the host triplet. If you think this >-configuration is useful to you, please write to autoconf@gnu.org." >&2;} >-ac_tool_warned=yes ;; >-esac >- PKG_CONFIG=$ac_pt_PKG_CONFIG >- fi >-else >- PKG_CONFIG="$ac_cv_path_PKG_CONFIG" >-fi >- >-fi >-if test -n "$PKG_CONFIG"; then >- _pkg_min_version=0.9.0 >- { echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5 >-echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6; } >- if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then >- { echo "$as_me:$LINENO: result: yes" >&5 >-echo "${ECHO_T}yes" >&6; } >- else >- { echo "$as_me:$LINENO: result: no" >&5 >-echo "${ECHO_T}no" >&6; } >- PKG_CONFIG="" >- fi >- >-fi >- >-pkg_failed=no >-{ echo "$as_me:$LINENO: checking for OPENTHREADS" >&5 >-echo $ECHO_N "checking for OPENTHREADS... $ECHO_C" >&6; } >- >-if test -n "$PKG_CONFIG"; then >- if test -n "$OPENTHREADS_CFLAGS"; then >- pkg_cv_OPENTHREADS_CFLAGS="$OPENTHREADS_CFLAGS" >- else >- if test -n "$PKG_CONFIG" && \ >- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"openthreads >= 0.9.8\"") >&5 >- ($PKG_CONFIG --exists --print-errors "openthreads >= 0.9.8") 2>&5 >- ac_status=$? >- echo "$as_me:$LINENO: \$? = $ac_status" >&5 >- (exit $ac_status); }; then >- pkg_cv_OPENTHREADS_CFLAGS=`$PKG_CONFIG --cflags "openthreads >= 0.9.8" 2>/dev/null` >-else >- pkg_failed=yes >-fi >- fi >-else >- pkg_failed=untried >-fi >-if test -n "$PKG_CONFIG"; then >- if test -n "$OPENTHREADS_LIBS"; then >- pkg_cv_OPENTHREADS_LIBS="$OPENTHREADS_LIBS" >- else >- if test -n "$PKG_CONFIG" && \ >- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"openthreads >= 0.9.8\"") >&5 >- ($PKG_CONFIG --exists --print-errors "openthreads >= 0.9.8") 2>&5 >- ac_status=$? >- echo "$as_me:$LINENO: \$? = $ac_status" >&5 >- (exit $ac_status); }; then >- pkg_cv_OPENTHREADS_LIBS=`$PKG_CONFIG --libs "openthreads >= 0.9.8" 2>/dev/null` >-else >- pkg_failed=yes >-fi >- fi >-else >- pkg_failed=untried >-fi >- >- >- >-if test $pkg_failed = yes; then >- >-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then >- _pkg_short_errors_supported=yes >-else >- _pkg_short_errors_supported=no >-fi >- if test $_pkg_short_errors_supported = yes; then >- OPENTHREADS_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "openthreads >= 0.9.8"` >- else >- OPENTHREADS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "openthreads >= 0.9.8"` >- fi >- # Put the nasty error message in config.log where it belongs >- echo "$OPENTHREADS_PKG_ERRORS" >&5 >- >- { { echo "$as_me:$LINENO: error: openthreads is a mandatory library" >&5 >-echo "$as_me: error: openthreads is a mandatory library" >&2;} >- { (exit 1); exit 1; }; } >-elif test $pkg_failed = untried; then >- { { echo "$as_me:$LINENO: error: openthreads is a mandatory library" >&5 >-echo "$as_me: error: openthreads is a mandatory library" >&2;} >- { (exit 1); exit 1; }; } >-else >- OPENTHREADS_CFLAGS=$pkg_cv_OPENTHREADS_CFLAGS >- OPENTHREADS_LIBS=$pkg_cv_OPENTHREADS_LIBS >- { echo "$as_me:$LINENO: result: yes" >&5 >-echo "${ECHO_T}yes" >&6; } >- : >-fi >- >- > cat >>confdefs.h <<_ACEOF > #define OPENAL_VERSION $OPENAL_VERSION > _ACEOF
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Diff
View Attachment As Raw
Actions:
View
|
Diff
Attachments on
bug 247376
:
158732
|
158733